Package org.apache.sling.query.impl.iterator

## Class FilteringIterator<T>

- java.lang.Object
- - org.apache.sling.query.impl.iterator.AbstractIterator<org.apache.sling.query.api.internal.Option<T>>
  - - org.apache.sling.query.impl.iterator.FilteringIterator<T>

All Implemented Interfaces:
  `Iterator<org.apache.sling.query.api.internal.Option<T>>`

    public class FilteringIterator<T>
    extends AbstractIterator<org.apache.sling.query.api.internal.Option<T>>

### Constructor Summary

Constructors
`FilteringIterator​(Iterator<org.apache.sling.query.api.internal.Option<T>> iterator, Predicate<T> predicate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.query.api.internal.Option<T>` `getElement()`

### Methods inherited from class org.apache.sling.query.impl.iterator.AbstractIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### FilteringIterator

    public FilteringIterator​(Iterator<org.apache.sling.query.api.internal.Option<T>> iterator,
                             Predicate<T> predicate)

### Method Detail

#### getElement

    protected org.apache.sling.query.api.internal.Option<T> getElement()

Specified by:
  `getElement` in class `AbstractIterator<org.apache.sling.query.api.internal.Option<T>>`